Bug 268908 - Exception: Should not be called from UI thread
Exception: Should not be called from UI thread
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
8.1
PC Linux
: P3 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-09 12:14 UTC by Vladimir Kvashin
Modified: 2016-12-09 12:14 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-11-09 12:14:46 UTC
When setting up host, I checked off automatic tools discovery (as far as I remember; probably the sequence was a bit different).

java.lang.Exception: Should not be called from UI thread
        at org.netbeans.modules.dlight.libs.common.DLightLibsCommonLogger.assertNonUiThread(DLightLibsCommonLogger.java:131)
        at org.netbeans.modules.dlight.libs.common.DLightLibsCommonLogger.assertNonUiThreadOnce(DLightLibsCommonLogger.java:141)
        at org.netbeans.modules.cnd.utils.CndUtils.assertNonUiThread(CndUtils.java:338)
        at org.netbeans.modules.cnd.toolchain.compilers.CCCCompiler.resetAndGetCompilerDefinitions(CCCCompiler.java:329)
        at org.netbeans.modules.cnd.toolchain.compilers.CCCCompiler.resetCompilerDefinitions(CCCCompiler.java:340)
        at org.netbeans.modules.cnd.api.toolchain.AbstractCompiler.resetCompilerDefinitions(AbstractCompiler.java:242)
        at org.netbeans.modules.cnd.toolchain.compilers.CCCCompiler.waitReady(CCCCompiler.java:324)
        at org.netbeans.modules.cnd.toolchain.compilerset.CompilerSetManagerImpl.completeCompilerSetsSettings(CompilerSetManagerImpl.java:940)
        at org.netbeans.modules.cnd.toolchain.compilerset.CompilerSetManagerImpl.completeCompilerSets(CompilerSetManagerImpl.java:932)
        at org.netbeans.modules.cnd.toolchain.compilerset.CompilerSetManagerImpl.completeCompilerSets(CompilerSetManagerImpl.java:910)
        at org.netbeans.modules.cnd.toolchain.compilerset.CompilerSetManagerImpl.<init>(CompilerSetManagerImpl.java:186)
        at org.netbeans.modules.cnd.toolchain.compilerset.CompilerSetManagerImpl.deepCopy(CompilerSetManagerImpl.java:297)
        at org.netbeans.modules.cnd.toolchain.compilerset.CompilerSetManagerAccessorImpl.getDeepCopy(CompilerSetManagerAccessorImpl.java:114)
        at org.netbeans.modules.cnd.toolchain.support.ToolchainUtilities.getDeepCopy(ToolchainUtilities.java:146)
        at org.netbeans.modules.cnd.toolchain.ToolsCacheManagerImpl.getCompilerSetManagerCopy(ToolsCacheManagerImpl.java:123)
        at org.netbeans.modules.cnd.remote.ui.wizard.CreateHostVisualPanel3.init(CreateHostVisualPanel3.java:85)
        at org.netbeans.modules.cnd.remote.ui.wizard.CreateHostWizardPanel3.readSettings(CreateHostWizardPanel3.java:87)
        at org.netbeans.modules.cnd.remote.ui.wizard.CreateHostWizardPanel3.readSettings(CreateHostWizardPanel3.java:50)
        at org.openide.WizardDescriptor.updateStateOpen(WizardDescriptor.java:867)
        at org.openide.WizardDescriptor.updateState(WizardDescriptor.java:822)
        at org.openide.WizardDescriptor._updateState(WizardDescriptor.java:800)
        at org.openide.WizardDescriptor.goToNextStep(WizardDescriptor.java:1072)
        at org.openide.WizardDescriptor.access$1900(WizardDescriptor.java:92)
        at org.openide.WizardDescriptor$Listener$1.run(WizardDescriptor.java:2208)
        at org.openide.WizardDescriptor$11$1.run(WizardDescriptor.java:1477)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
        at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
        at java.awt.EventQueue.access$500(EventQueue.java:97)
        at java.awt.EventQueue$3.run(EventQueue.java:709)
        at java.awt.EventQueue$3.run(EventQueue.java:703)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:159)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:109)
        at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:184)
        at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:229)
        at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:227)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:227)
        at java.awt.Dialog.show(Dialog.java:1084)
        at org.netbeans.core.windows.services.NbPresenter.superShow(NbPresenter.java:1086)
        at org.netbeans.core.windows.services.NbPresenter.doShow(NbPresenter.java:1136)
        at org.netbeans.core.windows.services.NbPresenter.run(NbPresenter.java:1108)
        at org.netbeans.core.windows.services.NbPresenter.run(NbPresenter.java:131)
        at org.netbeans.modules.openide.util.NbMutexEventProvider$Event$1AWTWorker.run(NbMutexEventProvider.java:156)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:301)
        at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
        at java.awt.EventQueue.access$500(EventQueue.java:97)
        at java.awt.EventQueue$3.run(EventQueue.java:709)
        at java.awt.EventQueue$3.run(EventQueue.java:703)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:159)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
FINE [cnd.remote.logger]: CSM restoring from pref: Adding empty CS to host CSM for toor@sside-test-sparc with toolchains:[None ] platform:Error in state STATE_UNINITIALIZED
Comment 1 Vladimir Kvashin 2016-12-02 17:47:28 UTC
fixed in 396ae90d023c on enum/release82
Comment 2 Quality Engineering 2016-12-08 02:36:59 UTC
Integrated into 'main-silver', will be available in build *201612080001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/e20a551ec0f5
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #268908 - Exception: Should not be called from UI thread
(transplanted from 19fe9d3ca2fc327cabd067926102a6d70c97830a)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo